import { FakeUserRepository } from '@app/testing/domain/users/fake-user.repository';
import { GetUserUseCase } from '@app/application/users/get-user.usecase';

describe('GetUserUseCase', () => {
  let useCase: GetUserUseCase;
  let repo: FakeUserRepository;

  beforeEach(() => {
    repo = new FakeUserRepository();
    useCase = new GetUserUseCase(repo);
  });

  it("devrait retourné un user en fonction de l'id ", () => {
    const userId = 'user_001';
    useCase.execute(userId).subscribe((user) => {
      expect(user.id).toBe(userId);
    });
  });
});
